%Program for Peak Signal to Noise Ratio Calculation

%Author : Athi Narayanan S
%Student, M.E, Embedded Systems,
%K.S.R College of Engineering
%Erode, Tamil Nadu, India.
%http://www.ksrce.ac.in/

function PSNR = PeakSignaltoNoiseRatio(origImg, distImg)

origImg = double(origImg);
distImg = double(distImg);

[M N] = size(origImg);
error = origImg - distImg;
MSE = sum(sum(error .* error)) / (M * N);

if(MSE > 0)
    PSNR = 10*log10(255*255/MSE);
else
    PSNR = 99;
end