%This is the Matlab interface to the CASD MEX implementation.
%The function is not for independent use, only through CASD.m.


%mexCASD Matlab interface to the CASD MEX implementation.
%  GAMMA = OMP2MEX(D,X,DtX,XtX,G,EPSILON,SPARSE_G,MSGDELTA,MAXATOMS,PROFILE)
%  invokes the OMP2 MEX function according to the specified parameters. Not
%  all the parameters are required. Those among D, X, DtX, XtX and G which
%  are not specified should be passed as [].
%
%  EPSILON - the target error.
%  SPARSE_G - returns a sparse GAMMA when nonzero, full GAMMA when zero.
%  MSGDELTA - the delay in secs between messages. Zero means no messages.
%  MAXATOMS - the max number of atoms per signal, negative for no max.
%  PROFILE - nonzero means that profiling information should be printed.


%  Jie Ren
%  Institute of Computer Science & Technology (ICST)
%  Peking University, Beijing, 100871, China
%  renjie@pku.edu.cn
%
%  Nov. 2011
