function [im] = double2im(X)
% Convert an double matrix (0~255) which may exceed the range of (0~255) to
% uint8 type image data(0~255) 

[n,m] = size(X);
X = X(:);

X = round(X);
X(X<0) = 0;
X(X>255) = 255;

im = reshape(X,n,m);
im = uint8(im);
end